Package org.eclipse.lemminx.services

## Class XMLMinifier

- java.lang.Object
- - org.eclipse.lemminx.services.XMLMinifier

    public class XMLMinifier
    extends Object

XML minifier support.

### Constructor Summary

Constructors
`XMLMinifier()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<? extends org.eclipse.lsp4j.TextEdit>` `minify​(DOMDocument xmlDocument, org.eclipse.lsp4j.Range range, SharedSettings sharedSettings)` Returns a List containing multiple TextEdits to remove spaces.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLMinifier

    public XMLMinifier()

### Method Detail

#### minify

    public List<? extends org.eclipse.lsp4j.TextEdit> minify​(DOMDocument xmlDocument,
                                                             org.eclipse.lsp4j.Range range,
                                                             SharedSettings sharedSettings)

Returns a List containing multiple TextEdits to remove spaces.

Parameters:
  `xmlDocument` - document to perform minification on
  `range` - specified range in which minification will be done
  `sharedSettings` - settings containing minification preferences
Returns:
  List containing TextEdit with minification changes